ERR_* # compass (fixed x, y)      
{
  select ()
  {
    case x < -1: return ERR_X_PARAMETER;
    case x >  1: return ERR_X_PARAMETER;
    case y < -1: return ERR_Y_PARAMETER;
    case y >  1: return ERR_Y_PARAMETER;
  }
  else
  {
    return .;
  }
}